Subject: Re: bug#52532: [PATCH] ci: Restrict substitute search to guix jobset.

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 19 Dec 2021 16:30:34 +0100

Hey Andrew,

> Hopefully the above shows the problem, the first link includes builds
> with jobset "staging" which probably shouldn't be returned as a
> suitable guix revision for guix pull.

Oh I guess it picked the "guix" package from the staging specification
which has noting to do with the "guix" package from the "guix"
specification. Hard to follow, naming could probably be improved here
:).

The first one is the package from (gnu packages package-management)
while the second is the guix modular package from the (build-self)
module.

Anyway your patch should prevent this problem from happening. Pushed as
11334d15d590073c631c574436d2110aa1ea2142.

Thanks,

Mathieu